Subject: [saag] FW: TLS WG Report

From: "Joseph Salowey (jsalowey)" <[email-masked]>
Date: Thu, 26 Mar 2009 13:13:46 -0700

The TLS WG met at 9 AM on Thu March 26

We have three documents in various stages of being almost finished:

TLS Exporters: finished WGLC. Only editorial comments. Needs a new draft
and then can go to the IESG.
TLS Extensions: needs a new straightforward revision and then WGLC.
DTLS 1.2: ready for WGLC

We had a presentation from Stefan Santesson about a protocol for caching
server information on the client to reduce handshake size (this is a
modification of the old Fast Track concept). The WG decided to take on
this work.

We also had a presentation from Michael Williams about DTLS MOBI-D, an
application mobility solution for DTLS. There was some enthusiasm for
this work, but we recognize that it is substantial work and impacts
areas outside of TLS. The Chairs will work with the ADs to work out how
best to proceed.

-Ekr